Package com.independentsoft.office.spreadsheet.revisions

# Class RevisionCellChange

java.lang.Object
com.independentsoft.office.spreadsheet.revisions.RevisionCellChange

public class RevisionCellChange extends Object
The Class RevisionCellChange.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevisionCellChange()`
  Instantiates a new revision cell change.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RevisionCellChange`
  `clone()`
  `NewCellData`
  `getNewCellData()`
  Gets the new cell data.
  `NewFormattingInformation`
  `getNewFormattingInformation()`
  Gets the new formatting information.
  `int`
  `getNumberFormatID()`
  Gets the number format id.
  `OldCellData`
  `getOldCellData()`
  Gets the old cell data.
  `OldFormattingInformation`
  `getOldFormattingInformation()`
  Gets the old formatting information.
  `int`
  `getRevisionID()`
  Gets the revision id.
  `int`
  `getSheetID()`
  Gets the sheet id.
  `boolean`
  `isContainsPhoneticText()`
  Checks if is contains phonetic text.
  `boolean`
  `isContainsQuotePrefix()`
  Checks if is contains quote prefix.
  `boolean`
  `isEndOfListFormulaUpdate()`
  Checks if is end of list formula update.
  `boolean`
  `isFormatting()`
  Checks if is formatting.
  `boolean`
  `isOldFormatting()`
  Checks if is old formatting.
  `boolean`
  `isOldPhoneticText()`
  Checks if is old phonetic text.
  `boolean`
  `isOldQuotePrefix()`
  Checks if is old quote prefix.
  `boolean`
  `isRevisionFromRejection()`
  Checks if is revision from rejection.
  `boolean`
  `isRevisionUndoRejected()`
  Checks if is revision undo rejected.
  `boolean`
  `isRowColumnFormattingChange()`
  Checks if is row column formatting change.
  `boolean`
  `isStyleRevision()`
  Checks if is style revision.
  `void`
  `setContainsPhoneticText​(boolean containsPhoneticText)`
  Sets the contains phonetic text.
  `void`
  `setContainsQuotePrefix​(boolean containsQuotePrefix)`
  Sets the contains quote prefix.
  `void`
  `setEndOfListFormulaUpdate​(boolean endOfListFormulaUpdate)`
  Sets the end of list formula update.
  `void`
  `setFormatting​(boolean formatting)`
  Sets the formatting.
  `void`
  `setNewCellData​(NewCellData newCellData)`
  Sets the new cell data.
  `void`
  `setNewFormattingInformation​(NewFormattingInformation newFormattingInformation)`
  Sets the new formatting information.
  `void`
  `setNumberFormatID​(int numberFormatID)`
  Sets the number format id.
  `void`
  `setOldCellData​(OldCellData oldCellData)`
  Sets the old cell data.
  `void`
  `setOldFormatting​(boolean isOldFormatting)`
  Sets the old formatting.
  `void`
  `setOldFormattingInformation​(OldFormattingInformation oldFormattingInformation)`
  Sets the old formatting information.
  `void`
  `setOldPhoneticText​(boolean isOldPhoneticText)`
  Sets the old phonetic text.
  `void`
  `setOldQuotePrefix​(boolean isOldQuotePrefix)`
  Sets the old quote prefix.
  `void`
  `setRevisionFromRejection​(boolean revisionFromRejection)`
  Sets the revision from rejection.
  `void`
  `setRevisionID​(int revisionID)`
  Sets the revision id.
  `void`
  `setRevisionUndoRejected​(boolean revisionUndoRejected)`
  Sets the revision undo rejected.
  `void`
  `setRowColumnFormattingChange​(boolean rowColumnFormattingChange)`
  Sets the row column formatting change.
  `void`
  `setSheetID​(int sheetID)`
  Sets the sheet id.
  `void`
  `setStyleRevision​(boolean styleRevision)`
  Sets the style revision.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RevisionCellChange

    public RevisionCellChange()
    Instantiates a new revision cell change.

- ## Method Details

  - ### clone

    public RevisionCellChange clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getNewCellData

    public NewCellData getNewCellData()
    Gets the new cell data.
    Returns:
      the new cell data

  - ### setNewCellData

    public void setNewCellData​(NewCellData newCellData)
    Sets the new cell data.
    Parameters:
      `newCellData` - the new new cell data

  - ### getNewFormattingInformation

    public NewFormattingInformation getNewFormattingInformation()
    Gets the new formatting information.
    Returns:
      the new formatting information

  - ### setNewFormattingInformation

    public void setNewFormattingInformation​(NewFormattingInformation newFormattingInformation)
    Sets the new formatting information.
    Parameters:
      `newFormattingInformation` - the new new formatting information

  - ### getOldCellData

    public OldCellData getOldCellData()
    Gets the old cell data.
    Returns:
      the old cell data

  - ### setOldCellData

    public void setOldCellData​(OldCellData oldCellData)
    Sets the old cell data.
    Parameters:
      `oldCellData` - the new old cell data

  - ### getOldFormattingInformation

    public OldFormattingInformation getOldFormattingInformation()
    Gets the old formatting information.
    Returns:
      the old formatting information

  - ### setOldFormattingInformation

    public void setOldFormattingInformation​(OldFormattingInformation oldFormattingInformation)
    Sets the old formatting information.
    Parameters:
      `oldFormattingInformation` - the new old formatting information

  - ### isFormatting

    public boolean isFormatting()
    Checks if is formatting.
    Returns:
      true, if is formatting

  - ### setFormatting

    public void setFormatting​(boolean formatting)
    Sets the formatting.
    Parameters:
      `formatting` - the new formatting

  - ### isEndOfListFormulaUpdate

    public boolean isEndOfListFormulaUpdate()
    Checks if is end of list formula update.
    Returns:
      true, if is end of list formula update

  - ### setEndOfListFormulaUpdate

    public void setEndOfListFormulaUpdate​(boolean endOfListFormulaUpdate)
    Sets the end of list formula update.
    Parameters:
      `endOfListFormulaUpdate` - the new end of list formula update

  - ### getNumberFormatID

    public int getNumberFormatID()
    Gets the number format id.
    Returns:
      the number format id

  - ### setNumberFormatID

    public void setNumberFormatID​(int numberFormatID)
    Sets the number format id.
    Parameters:
      `numberFormatID` - the new number format id

  - ### isOldFormatting

    public boolean isOldFormatting()
    Checks if is old formatting.
    Returns:
      true, if is old formatting

  - ### setOldFormatting

    public void setOldFormatting​(boolean isOldFormatting)
    Sets the old formatting.
    Parameters:
      `isOldFormatting` - the new old formatting

  - ### isOldPhoneticText

    public boolean isOldPhoneticText()
    Checks if is old phonetic text.
    Returns:
      true, if is old phonetic text

  - ### setOldPhoneticText

    public void setOldPhoneticText​(boolean isOldPhoneticText)
    Sets the old phonetic text.
    Parameters:
      `isOldPhoneticText` - the new old phonetic text

  - ### isOldQuotePrefix

    public boolean isOldQuotePrefix()
    Checks if is old quote prefix.
    Returns:
      true, if is old quote prefix

  - ### setOldQuotePrefix

    public void setOldQuotePrefix​(boolean isOldQuotePrefix)
    Sets the old quote prefix.
    Parameters:
      `isOldQuotePrefix` - the new old quote prefix

  - ### isContainsPhoneticText

    public boolean isContainsPhoneticText()
    Checks if is contains phonetic text.
    Returns:
      true, if is contains phonetic text

  - ### setContainsPhoneticText

    public void setContainsPhoneticText​(boolean containsPhoneticText)
    Sets the contains phonetic text.
    Parameters:
      `containsPhoneticText` - the new contains phonetic text

  - ### isContainsQuotePrefix

    public boolean isContainsQuotePrefix()
    Checks if is contains quote prefix.
    Returns:
      true, if is contains quote prefix

  - ### setContainsQuotePrefix

    public void setContainsQuotePrefix​(boolean containsQuotePrefix)
    Sets the contains quote prefix.
    Parameters:
      `containsQuotePrefix` - the new contains quote prefix

  - ### isRevisionUndoRejected

    public boolean isRevisionUndoRejected()
    Checks if is revision undo rejected.
    Returns:
      true, if is revision undo rejected

  - ### setRevisionUndoRejected

    public void setRevisionUndoRejected​(boolean revisionUndoRejected)
    Sets the revision undo rejected.
    Parameters:
      `revisionUndoRejected` - the new revision undo rejected

  - ### getRevisionID

    public int getRevisionID()
    Gets the revision id.
    Returns:
      the revision id

  - ### setRevisionID

    public void setRevisionID​(int revisionID)
    Sets the revision id.
    Parameters:
      `revisionID` - the new revision id

  - ### isStyleRevision

    public boolean isStyleRevision()
    Checks if is style revision.
    Returns:
      true, if is style revision

  - ### setStyleRevision

    public void setStyleRevision​(boolean styleRevision)
    Sets the style revision.
    Parameters:
      `styleRevision` - the new style revision

  - ### getSheetID

    public int getSheetID()
    Gets the sheet id.
    Returns:
      the sheet id

  - ### setSheetID

    public void setSheetID​(int sheetID)
    Sets the sheet id.
    Parameters:
      `sheetID` - the new sheet id

  - ### isRevisionFromRejection

    public boolean isRevisionFromRejection()
    Checks if is revision from rejection.
    Returns:
      true, if is revision from rejection

  - ### setRevisionFromRejection

    public void setRevisionFromRejection​(boolean revisionFromRejection)
    Sets the revision from rejection.
    Parameters:
      `revisionFromRejection` - the new revision from rejection

  - ### isRowColumnFormattingChange

    public boolean isRowColumnFormattingChange()
    Checks if is row column formatting change.
    Returns:
      true, if is row column formatting change

  - ### setRowColumnFormattingChange

    public void setRowColumnFormattingChange​(boolean rowColumnFormattingChange)
    Sets the row column formatting change.
    Parameters:
      `rowColumnFormattingChange` - the new row column formatting change